local function CreateHelpDialog()
	local frame = CreateFrame('Frame', 'HideBlizzardHelpDialog', UIParent)
	frame:SetWidth(600)
	frame:SetHeight(400)
	frame:SetBackdrop{
	bgFile='Interface\\DialogFrame\\UI-DialogBox-Background',
		tile = true,
		insets = {left = 11, right = 12, top = 12, bottom = 11},
		tileSize = 32,
	}
	frame:SetPoint('TOP', 0, -50)
	frame:Hide()
	frame:SetScript('OnShow', function() PlaySound('igMainMenuOption') end)
	frame:SetMovable(true)
	frame:EnableMouse(true)
	frame:SetClampedToScreen(true)
	frame:RegisterForDrag('LeftButton')
	frame:SetScript('OnDragStart', function(frame) frame:StartMoving() end)
	frame:SetScript('OnDragStop', function(frame) frame:StopMovingOrSizing() end)

	local close = CreateFrame('Button', nil, frame)
	close:SetWidth(30); close:SetHeight(30)
	close:SetFrameStrata('HIGH')
	close:EnableMouse(true)

	local closetex = frame:CreateTexture(nil, 'ARTWORK')
	closetex:SetTexture('Interface\\BUTTONS\\UI-Panel-MinimizeButton-Up')
	close:SetPushedTexture('Interface\\BUTTONS\\UI-Panel-MinimizeButton-Down')
	close:SetHighlightTexture('Interface\\BUTTONS\\UI-Panel-MinimizeButton-Highlight')
	close:SetPoint('TOPRIGHT', -10, -10)
	closetex:SetAllPoints(close)
	close:Show()
	close:SetScript('OnClick', function() frame:Hide(); PlaySound('gsTitleOptionExit') end)

	local header = frame:CreateTexture(nil, 'ARTWORK')
	local headertext = frame:CreateFontString(nil, 'ARTWORK')
	header:SetWidth(270); header:SetHeight(64)
	headertext:SetFontObject('GameFontHighlightLarge')
	headertext:SetJustifyV('TOP')
	headertext:SetJustifyH('CENTER')
	headertext:SetPoint('TOP', 0, -15)
	headertext:SetText(format('|cffFFFF00HideBlizzard v%s|r', GetAddOnMetadata('HideBlizzard', 'Version')))

	local header1 = frame:CreateFontString(nil, 'ARTWORK')
	header1:SetFontObject('GameFontHighlightLarge')
	header1:SetJustifyV('TOP')
	header1:SetJustifyH('LEFT')
	header1:SetPoint('TOPLEFT', 20, -60)
	header1:SetText('|cffEEEE00Support|r')

	local header1text = frame:CreateFontString(nil, 'ARTWORK')
	local header1subtext = frame:CreateFontString(nil, 'ARTWORK')
	header1text:SetFontObject('GameFontNormal')
	header1subtext:SetFontObject('GameFontNormal')
	header1text:SetJustifyV('TOP')
	header1subtext:SetJustifyV('TOP')
	header1text:SetJustifyH('LEFT')
	header1subtext:SetJustifyH('LEFT')
	header1text:SetPoint('TOPLEFT', 25, -100)
	header1subtext:SetPoint('TOPLEFT', 25, -120)
	header1text:SetText('|cffF5F5F5You can get support for HideBlizzard over at|r |cff0099CCCurse|r |cffF5F5F5or|r |cff0099CCWoWInterface|r|cffF5F5F5.|r')
	header1subtext:SetText('|cffF5F5F5Use one of these sites to post bug reports or feature requests that you may have.|r')

	local header2 = frame:CreateFontString(nil, 'ARTWORK')
	header2:SetFontObject('GameFontHighlightLarge')
	header2:SetJustifyV('TOP')
	header2:SetJustifyH('LEFT')
	header2:SetPoint('TOPLEFT', 20, -165)
	header2:SetText('|cffEEEE00Slash Commands|r')

	local header2text = frame:CreateFontString(nil, 'ARTWORK')
	local header2subtext = frame:CreateFontString(nil, 'ARTWORK')
	header2text:SetFontObject('GameFontNormal')
	header2subtext:SetFontObject('GameFontNormal')
	header2text:SetJustifyV('TOP')
	header2subtext:SetJustifyV('TOP')
	header2text:SetJustifyH('LEFT')
	header2subtext:SetJustifyH('LEFT')
	header2text:SetPoint('TOPLEFT', 25, -195)
	header2subtext:SetPoint('TOPLEFT', 25, -215)
	header2text:SetText('|cff0099CCconfig|r |cffF5F5F5- will open the configuration panel|r')
	header2subtext:SetText('|cff0099CChelp|r |cffF5F5F5- will open the help window|r')

	local header3 = frame:CreateFontString(nil, 'ARTWORK')
	header3:SetFontObject('GameFontHighlightLarge')
	header3:SetJustifyV('TOP')
	header3:SetJustifyH('LEFT')
	header3:SetPoint('TOPLEFT', 20, -265)
	header3:SetText('|cffEEEE00Credits|r')

	local header3text = frame:CreateFontString(nil, 'ARTWORK')
	header3text:SetFontObject('GameFontNormal')
	header3text:SetJustifyV('TOP')
	header3text:SetJustifyH('LEFT')
	header3text:SetPoint('TOPLEFT', 25, -295)
	header3text:SetText('|cffF5F5F5Chatter and Dominos|r')

	return frame
end

function HideBlizzard:HelpDialog()
	HelpDialog = CreateHelpDialog()
	HelpDialog:Show()
end