local function CreateWelcomeDialog()
	local frame = CreateFrame('Frame', 'HideBlizzardWelcomeDialog', UIParent)
	frame:SetWidth(500)
	frame:SetHeight(125)
	frame:SetBackdrop{
	bgFile='Interface\\DialogFrame\\UI-DialogBox-Background',
		tile = true,
		insets = {left = 11, right = 12, top = 12, bottom = 11},
		tileSize = 32,
	}
	frame:SetPoint('TOP', 0, -50)
	frame:Hide()
	frame:SetMovable(true)
	frame:EnableMouse(true)
	frame:SetClampedToScreen(true)
	frame:RegisterForDrag('LeftButton')
	frame:SetScript('OnDragStart', function(frame) frame:StartMoving() end)
	frame:SetScript('OnDragStop', function(frame) frame:StopMovingOrSizing() end)

	local close = CreateFrame('Button', nil, frame)
	close:SetWidth(30); close:SetHeight(30)
	close:SetFrameStrata('HIGH')
	close:EnableMouse(true)

	local closetex = frame:CreateTexture(nil, 'ARTWORK')
	closetex:SetTexture('Interface\\BUTTONS\\UI-Panel-MinimizeButton-Up')
	close:SetPushedTexture('Interface\\BUTTONS\\UI-Panel-MinimizeButton-Down')
	close:SetHighlightTexture('Interface\\BUTTONS\\UI-Panel-MinimizeButton-Highlight')
	closetex:SetAllPoints(close)
	close:SetPoint('TOPRIGHT', -10, -10)
	close:Show()
	close:SetScript('OnClick', function() frame:Hide(); PlaySound('gsTitleOptionExit') end)

	local header = frame:CreateTexture(nil, 'ARTWORK')
	local headertext = frame:CreateFontString(nil, 'ARTWORK')
	header:SetWidth(215); header:SetHeight(64)
	headertext:SetFontObject('GameFontHighlightLarge')
	headertext:SetJustifyV('TOP')
	headertext:SetJustifyH('CENTER')
	headertext:SetPoint('TOP', 0, -15)
	headertext:SetText('|cffFFFF00HideBlizzard|r')

	local header1text = frame:CreateFontString(nil, 'ARTWORK')
	header1text:SetFontObject('GameFontNormal')
	header1text:SetJustifyV('TOP')
	header1text:SetJustifyH('LEFT')
	header1text:SetPoint('TOPLEFT', 25, -60)
	header1text:SetText('|cffF5F5F5Welcome! Type|r |cff0099CC/hb|r |cffF5F5F5or|r |cff0099CC/hideblizzard|r |cffF5F5F5to see the list of available commands.|r')

	return frame
end

function HideBlizzard:WelcomeDialog()
	WelcomeDialog = CreateWelcomeDialog()
	WelcomeDialog:Show()
end